using AprsSharp.Parsers.Aprs;
using GeoCoordinatePortable;
using NmeaParser.Messages;
using skyscraper5.Aprs.AprsSharp;

namespace skyscraper5.Aprs
{
    interface IAprsMessageReciever
    {
        void OnAprsPosition(string packetSender, GeoCoordinate positionCoordinates, string? piComment);
        void OnAprsWeatherReport(string packetSender, WeatherInfo wi);
        void OnAprsChatMessage(string sender, string receiver, string message);
        void OnAprsStationCapabilities(string packetSender, StationCapabilities stationCapabilities);
        void OnAprsGpsSentence(string packetSender, NmeaMessage parsed);
    }
}
